Subject: Germination of ginger - help

From: [email-masked]
Date: 18 May 95 16:24:57 PDT

I am looking for information on the germination environment and techniques 
suitable for Costus speciosus (a type of ginger). Scarification, stratification,
presoaking, length of photoperiod, depth of planting, storage of seed are
greatful areas of response. This is for an indoor horticultural venture in 
northern latitudes so a number of requirements are likely required to 
trick the tropical seed into germination. If you know of individuals, 
publications, or other news groups where this type of info hangs out I would
appreciate hearing about it. Please respond to [email-masked] if
you can help me out. Thanks